Bug 1497740

Summary: -cdrom option is broken
Product: Red Hat Enterprise Linux 7 Reporter: Laurent Vivier <lvivier>
Component: qemu-kvm-rhevAssignee: Markus Armbruster <armbru>
Status: CLOSED ERRATA QA Contact: Yongxue Hong <yhong>
Severity: medium Docs Contact:
Priority: high    
Version: 7.5CC: aliang, armbru, coli, juzhang, knoel, lance, lmiksik, michen, mrezanin, ngu, qzhang, thuth, virt-maint, xuwei
Target Milestone: rcKeywords: Regression
Target Release: ---   
Hardware: ppc64le   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-kvm-rhev-2.10.0-10.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-11 00:36:03 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Laurent Vivier 2017-10-02 14:46:29 UTC
Description of problem:

An easy shortcut to boot from an install ISO is to use "-cdrom" but since qemu-kvm-rhev-2.9.0 it is broken

Version-Release number of selected component (if applicable):

qemu-kvm-rhev-2.10.0-1.el7

How reproducible:

100%

Steps to Reproduce:
1.  /usr/libexec/qemu-kvm -cdrom /home/isos/RHEL-7.3-20161019.0-Server-ppc64-dvd1.iso

Actual results:

qemu-kvm: -cdrom /home/isos/RHEL-7.3-20161019.0-Server-ppc64-dvd1.iso: machine type does not support if=scsi,bus=0,unit=2

Expected results:

The guest should start and boots from the CDROM ISO.

Additional info:

The problem has been introduced by a downstream only commit:

39372c8 scsi: Disable deprecated implicit SCSI HBA creation more cleanly
BZ 971799

Comment 3 aihua liang 2017-11-01 06:02:38 UTC
x86 don't hit this issue.

Test version´╝Ü
  kernel version: 3.10.0-760.el7.x86_64
  qemu-kvm-rhev version:qemu-kvm-rhev-2.10.0-3.el7.x86_64

Comment 5 Markus Armbruster 2017-11-28 12:38:08 UTC
This bug only affects machine types where -drive defaults to if=scsi.  x86 defaults to if=ide.

Comment 8 Miroslav Rezanina 2017-11-30 16:54:03 UTC
Fix included in qemu-kvm-rhev-2.10.0-10.el7

Comment 10 Yongxue Hong 2017-12-04 05:20:45 UTC
Reproduction:
[root@ibm-p8-kvm-02-qe yhong]# rpm -qa | grep qemu
ipxe-roms-qemu-20170123-1.git4e85b27.el7_4.1.noarch
qemu-kvm-common-rhev-2.10.0-1.el7.ppc64le
qemu-kvm-rhev-2.10.0-1.el7.ppc64le
qemu-kvm-rhev-debuginfo-2.10.0-1.el7.ppc64le
qemu-img-rhev-2.10.0-1.el7.ppc64le
qemu-kvm-tools-rhev-2.10.0-1.el7.ppc64le
[root@ibm-p8-kvm-02-qe yhong]# 
[root@ibm-p8-kvm-02-qe yhong]# /usr/libexec/qemu-kvm -cdrom ./iso/RHEL-7.4-20170711.0-Server-ppc64le-dvd1.iso
qemu-kvm: -cdrom ./iso/RHEL-7.4-20170711.0-Server-ppc64le-dvd1.iso: machine type does not support if=scsi,bus=0,unit=2

Verification:
[root@ibm-p8-kvm-02-qe yhong]# rpm -qa | grep qemu
ipxe-roms-qemu-20170123-1.git4e85b27.el7_4.1.noarch
qemu-img-rhev-2.10.0-10.el7.ppc64le
qemu-kvm-rhev-debuginfo-2.10.0-10.el7.ppc64le
qemu-kvm-common-rhev-2.10.0-10.el7.ppc64le
qemu-kvm-rhev-2.10.0-10.el7.ppc64le
qemu-kvm-tools-rhev-2.10.0-10.el7.ppc64le
[root@ibm-p8-kvm-02-qe yhong]# 
[root@ibm-p8-kvm-02-qe yhong]# /usr/libexec/qemu-kvm -cdrom ./iso/RHEL-7.4-20170711.0-Server-ppc64le-dvd1.iso
VNC server running on ::1:5900

Then boot it with cli:
eg:
[root@ibm-p8-kvm-02-qe command]# cat install.sh 
/usr/libexec/qemu-kvm \
-name 'guest' \
-machine pseries-rhel7.4.0 \
-m 8G \
-nodefaults \
-smp 8,cores=4,threads=2,sockets=1 \
-boot order=cdn,once=d,menu=off,strict=off  \
-device nec-usb-xhci,id=xhci0 \
-device usb-tablet,id=usb-tablet0 \
-device usb-kbd,id=usb-kbd0 \
-device VGA,id=vga0 \
-chardev socket,id=qmp_id_qmpmonitor,path=/var/tmp/qmp-cmd-monitor-yhong,server,nowait \
-mon chardev=qmp_id_qmpmonitor,mode=control  \
-enable-kvm \
-device virtio-scsi-pci,bus=pci.0,addr=0x06,id=scsi-pci-0 \
-drive file=/root/test_home/yhong/image/install-sys-disk-20G.qcow2,snapshot=off,format=qcow2,if=none,aio=threads,cache=none,media=disk,werror=stop,rerror=stop,id=drive-0 \
-device scsi-hd,bus=scsi-pci-0.0,id=scsi-hd-0,drive=drive-0,channel=0,scsi-id=0,lun=0 \
-netdev tap,id=hostnet0,script=/etc/qemu-ifup \
-device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=40:f2:e9:5d:9c:03 \
-qmp tcp:0:3000,server,nowait \
-chardev socket,id=serial_id_serial,path=/var/tmp/serial-yhong,server,nowait \
-device spapr-vty,reg=0x30000000,chardev=serial_id_serial \
-monitor stdio \
-cdrom ../iso/RHEL-7.4-20170711.0-Server-ppc64le-dvd1.iso \
-vnc :30

Actual result:
Guest could boot up and install so from cdrom successfully.

So this bug is fixed with qemu-kvm-rhev-2.10.0-10.el7.ppc64le. Change the status to VERIFIED.
Thanks.

Comment 12 errata-xmlrpc 2018-04-11 00:36:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1104